curl --request GET \
--url https://api.ngrok.com/endpoints/{id} \
--header 'Authorization: Bearer <token>' \
--header 'ngrok-version: <ngrok-version>'import requests
url = "https://api.ngrok.com/endpoints/{id}"
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'ngrok-version': '<ngrok-version>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ngrok.com/endpoints/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"region": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"public_url": "<string>",
"proto": "<string>",
"scheme": "<string>",
"hostport": "<string>",
"host": "<string>",
"port": 123,
"type": "<string>",
"metadata": "<string>",
"description": "<string>",
"domain": {
"id": "<string>",
"uri": "<string>"
},
"tcp_addr": {
"id": "<string>",
"uri": "<string>"
},
"tunnel": {
"id": "<string>",
"uri": "<string>"
},
"edge": {
"id": "<string>",
"uri": "<string>"
},
"upstream_url": "<string>",
"upstream_protocol": "<string>",
"url": "<string>",
"principal": {
"id": "<string>",
"uri": "<string>"
},
"traffic_policy": "<string>",
"bindings": [
"<string>"
],
"tunnel_session": {
"id": "<string>",
"uri": "<string>"
},
"uri": "<string>",
"name": "<string>",
"pooling_enabled": true
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}{
"status_code": 123,
"msg": "<string>",
"error_code": "<string>",
"details": {}
}Get
Retrieve details about a specific agent endpoint configuration including its status and settings.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
a resource identifier
Response
Get the status of an endpoint by ID
unique endpoint resource identifier
identifier of the region this endpoint belongs to
timestamp when the endpoint was created in RFC 3339 format
timestamp when the endpoint was updated in RFC 3339 format
deprecated [replaced by URL]: URL of the hostport served by this endpoint
protocol served by this endpoint. one of http, https, tcp, or tls
n/a
hostport served by this endpoint (hostname:port) -> soon to be deprecated
n/a
n/a
whether the endpoint is ephemeral (served directly by an agent-initiated tunnel) or edge (served by an edge) or cloud (represents a cloud endpoint)
user-supplied metadata of the associated tunnel or edge object
user-supplied description of the associated tunnel
the domain reserved for this endpoint
Show child attributes
Show child attributes
the address reserved for this endpoint
Show child attributes
Show child attributes
the tunnel serving requests to this endpoint, if this is an ephemeral endpoint
Show child attributes
Show child attributes
the edge serving requests to this endpoint, if this is an edge endpoint
Show child attributes
Show child attributes
the local address the tunnel forwards to
the protocol the agent uses to forward with
the url of the endpoint
The ID of the owner (bot or user) that owns this endpoint
Show child attributes
Show child attributes
The traffic policy attached to this endpoint
the bindings associated with this endpoint
The tunnel session of the agent for this endpoint
Show child attributes
Show child attributes
URI of the Cloud Endpoint API resource
user supplied name for the endpoint
whether the endpoint allows pooling
Was this page helpful?